## org.exist.xquery
Class XQueryWatchDog

    java.lang.Object
      org.exist.xquery.XQueryWatchDog

public class XQueryWatchDog
extends java.lang.Object

Author:
  wolf

Field Summary
`static java.lang.String` `PROPERTY_OUTPUT_SIZE_LIMIT`
`static java.lang.String` `PROPERTY_QUERY_TIMEOUT`

Constructor Summary
`XQueryWatchDog(XQueryContext context)`

Method Summary
`void` `cleanUp()`
`XQueryContext` `getContext()`
`long` `getStartTime()`
`void` `kill(long waitTime)`
`void` `proceed(Expression expr)`
`void` `proceed(Expression expr, MemTreeBuilder builder)`
`void` `reset()`
`void` `setMaxNodesFromOption(Option option)`
`void` `setTimeoutFromOption(Option option)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_QUERY_TIMEOUT

    public static java.lang.String PROPERTY_QUERY_TIMEOUT

### PROPERTY_OUTPUT_SIZE_LIMIT

    public static java.lang.String PROPERTY_OUTPUT_SIZE_LIMIT

Constructor Detail

### XQueryWatchDog

    public XQueryWatchDog(XQueryContext context)

Method Detail

### setTimeoutFromOption

    public void setTimeoutFromOption(Option option)
                              throws XPathException

  Throws:
    `XPathException`

### setMaxNodesFromOption

    public void setMaxNodesFromOption(Option option)
                               throws XPathException

  Throws:
    `XPathException`

### proceed

    public void proceed(Expression expr)
                 throws TerminatedException

  Throws:
    `TerminatedException`

### proceed

    public void proceed(Expression expr,
                        MemTreeBuilder builder)
                 throws TerminatedException

  Throws:
    `TerminatedException`

### cleanUp

    public void cleanUp()

### kill

    public void kill(long waitTime)

### getContext

    public XQueryContext getContext()

### getStartTime

    public long getStartTime()

### reset

    public void reset()

Copyright (C) Wolfgang Meier. All rights reserved.